aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/testsuite.sh
diff options
context:
space:
mode:
authorTristan Gingold <tgingold@free.fr>2013-12-18 05:53:22 +0100
committerTristan Gingold <tgingold@free.fr>2013-12-18 05:53:22 +0100
commitbd4aff0f670351c0652cf24e9b04361dc0e3a01c (patch)
treeafcc1050ac74fc64b5756e2550bc32ea61d1e7bb /testsuite/testsuite.sh
parent5fde24d46fae799e6c0723850097a8fccd64d747 (diff)
downloadghdl-bd4aff0f670351c0652cf24e9b04361dc0e3a01c.tar.gz
ghdl-bd4aff0f670351c0652cf24e9b04361dc0e3a01c.tar.bz2
ghdl-bd4aff0f670351c0652cf24e9b04361dc0e3a01c.zip
Add initial testsuite, using regression tests from bugs or support
reported on gna.org
Diffstat (limited to 'testsuite/testsuite.sh')
-rwxr-xr-xtestsuite/testsuite.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/testsuite/testsuite.sh b/testsuite/testsuite.sh
new file mode 100755
index 000000000..02d280d38
--- /dev/null
+++ b/testsuite/testsuite.sh
@@ -0,0 +1,49 @@
+#! /bin/sh
+
+# Stop in case of error.
+set -e
+
+# Source the testsuite environment
+. ./testenv.sh
+
+# The GNA testsuite:
+# regression testsuite using reports/issues from gna.org
+do_gna ()
+{
+ echo "**** GNA ****"
+ echo "*************"
+ cd gna
+ ./testsuite.sh
+ cd ..
+}
+
+# Run a testsuite
+do_test ()
+{
+ case $1 in
+ gna)
+ do_gna;;
+ *)
+ echo "$0: test name '$1' is unknown"
+ exit 1;;
+ esac
+}
+
+all_list="gna"
+
+echo "GHDL is: $GHDL"
+
+if [ $# -eq 0 ]; then
+ for t in $all_list; do
+ do_test $t
+ done
+else
+ for t; do
+ do_test $t
+ done
+fi
+
+echo
+echo "$0: Success ($GHDL)"
+$GHDL --version
+exit 0